﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CG1.Ex00
{
    public partial class Form1 : Form
    {
        #region Init
        
        public Form1()
        {
            InitializeComponent();
        }
        
        #endregion;

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (listBox1.SelectedItem as String)
            {
                case "int":
                    ShowIntValue();
                    break;
                case "float":
                    ShowFloatValue();
                    break;
                case "char":
                    ShowCharValue('P');
                    break;
            }
        }

        /// <summary>
        /// Show a text of char variable
        /// </summary>
        /// <param name="a"></param>
        /// <returns></returns>
        private void ShowCharValue(Char Val)
        {
            textBox1.Text = Val.ToString();
        }

        private void ShowFloatValue()
        {
            float Val = 1.45f;
            textBox1.Text = Val.ToString();
        }

        private void ShowIntValue()
        {
            Int32 Val = 1;
            textBox1.Text = Val.ToString();
        }
    }
}
